%define	upstream_name	 Data-Dump
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Pretty printing of data structures
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides a single function called dump() that takes a list
of values as its argument and produces a string as its result. The
string contains Perl code that, when evaled, produces a deep copy of
the original arguments. The string is formatted for easy reading.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Data

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.230.0-3.mga6
+ Revision: 1024796
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.230.0-2.mga6
+ Revision: 968036
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.230.0-1.mga6
+ Revision: 851195
- update to 1.23

* Wed Oct 15 2014 umeabot <umeabot> 1.220.0-5.mga5
+ Revision: 741943
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.220.0-4.mga5
+ Revision: 735457
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.220.0-3.mga5
+ Revision: 684193
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.220.0-2.mga4
+ Revision: 526855
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.220.0-1.mga4
+ Revision: 438954
- update to 1.22

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 365278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 02 2011 kharec <kharec> 1.210.0-1.mga2
+ Revision: 161678
- update to 1.21

* Wed Oct 12 2011 takashi <takashi> 1.200.0-2.mga2
+ Revision: 154058
- update to 1.20

* Sat Jan 22 2011 jquelin <jquelin> 1.190.0-2.mga1
+ Revision: 32740
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.190.0-1.mga1
+ Revision: 30068
- mageia rebuild
- imported package perl-Data-Dump

